SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000941SiT!contractspublic2009-09-12 17:342009-10-15 21:55
ReporterTomse 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.50 
Target Version3.50Fixed in Version3.50 
Summary0000941: branch3 - Editing service on contract causes error
DescriptionWhen editing (clicking) a service on contract_details.php?id=X
(actual file is contract_edit_service.php) causes
Application Error [256]
contract_edit_service.php @ line 226 trigger error

When making a slight change and clicking update, succeeds
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001955)
ivan (administrator)
2009-09-12 17:42

Application Error [256]
Insert failed in /home/ivan/src/git-sit/sitracker/contract_edit_service.php @ line 226
Backtrace:
/home/ivan/src/git-sit/sitracker/contract_edit_service.php @ line 226 trigger_error()
(0001962)
codemonkey (updater)
2009-09-13 11:11

This issue was mentioned in a commit by Ivan Lucas in commit 6ff55e7d7fac32f4811f5789fdffe689ff286201
http://github.com/sitracker/sitracker/commit/6ff55e7d7fac32f4811f5789fdffe689ff286201 [^]

Remove a check for affected rows, if nothing is changed in the form this would produce an error message unnecessarily - Fixes bug 941
User avatar (0001963)
ivan (administrator)
2009-09-13 11:11

Fixed in git sitracker3

sitracker: Ivan Lucas sitracker3 * r6ff55e7 / contract_edit_service.php : Remove a check for affected rows, if nothing is changed in the form this would produce an error message unnecessarily - Fixes bug 941 - http://bit.ly/5FbM8 [^]

- Issue History
Date Modified Username Field Change
2009-09-12 17:34 Tomse New Issue
2009-09-12 17:42 ivan Note Added: 0001955
2009-09-12 17:42 ivan Status new => confirmed
2009-09-12 17:42 ivan Product Version Current SVN => 3.50
2009-09-12 17:42 ivan Build => svn
2009-09-12 17:42 ivan Target Version => 3.50
2009-09-13 11:04 ivan Status confirmed => assigned
2009-09-13 11:04 ivan Assigned To => ivan
2009-09-13 11:11 codemonkey Checkin
2009-09-13 11:11 codemonkey Note Added: 0001962
2009-09-13 11:11 codemonkey Status assigned => resolved
2009-09-13 11:11 codemonkey Resolution open => fixed
2009-09-13 11:11 ivan Note Added: 0001963
2009-09-13 11:11 ivan Fixed in Version => Current SVN
2009-10-15 20:38 ivan Fixed in Version Current SVN => 3.50
2009-10-15 21:55 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker